services:
  php:
    image: dchadwick/planet-express:1.0.1
    working_dir: /app
    command: php-fpm -F
    volumes:
      - .:/app
      - ./database:/app/database
    networks:
      - app-network

  web:
    image: nginx:alpine
    ports:
      - "8000:80"
    volumes:
      - .:/app
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro
    depends_on:
      - php
    networks:
      - app-network

networks:
  app-network:
    driver: bridge
